# Function pipeDataSource

- pipeDataSource<Source, Target>(dataSource, operation, ...operations): PipeDataSource<Source, Target>

- #### Type Parameters

  - Source
  - Target

  #### Parameters

  - dataSource: BaseDataSource<Source, BaseDataSourceMetadata, BaseDataSourceViewer<any>>
  - operation: OperatorFunction<Source, any>
  - `Rest` ...operations: (PipeDataSourceMetadata | OperatorFunction<any, any>)[]

  #### Returns PipeDataSource<Source, Target>

  - Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:146